Get Shipment Reservations
Returns the assigned reservations (pick locations) for a shipment in Picking status.
Reservations represent the specific warehouse locations where items should be picked from to fulfill this shipment. This endpoint is only available for shipments with status “picking”.
Authorizations
Query Parameters
A cursor for use in pagination which defines the start of the next page of results.
For collections sorted by id this is the starting id. For other sort orders use the
opaque cursor provided by the next link and meta.cursor_start of the previous page;
a plain record id is also accepted and resolves to that record's position in the sort order.
See paging parameters for more information on paging.
The default sort order is descending by primary key (sort=-id).
Using the sorting syntax, the following fields are available for sorting:
idquantityqty_picked
^-?\w+(,-?\w+)*$Using the filtering syntax, you may filter the results using the following fields:
idlocation_idproduct_idqtyqty_pickedis_locked
Specify additional fields of the ShipmentItem object to be included in the response. See the selecting fields page for more information.
basic, all, sku, product, quantity, qty_shipped, qty_picked, qty_canceled, qty_cancel_requested, order_item, reservations Specify additional fields of the Product objects to be included in the response. See the selecting fields page for more information.
Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the OrderItem object to be included in the response. See the selecting fields page for more information.
all, order_item_ref, qty_ordered, qty_assigned, qty_allocated, qty_backordered, qty_processing, qty_picked, qty_shipped, qty_cancel_requested, qty_canceled, row_weight Specify additional fields of the Location object to be included in the response.
basic, all, label, priority, qty_on_hand, qty_putaway, qty_unreserved, qty_reserved, qty_locked, is_temp, is_pickable, is_type_auto, created_at, updated_at, last_cyclecount_at, tags, lot, product, rack, slot_type Specify additional fields of the Lot object to be included in the response.
basic, all, id, lot_number, origination_date, expiration_date, is_expired, is_active, lot_number_input, expiration_input, sort_value, days_until_expiration, sort_direction, group_value, created_at, updated_at, created_by, lot_type, product Specify additional fields of the SlotType object (via Location) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the SlotType object to be included in the response.
basic, all, name, is_pickable, sort_order, patterns, is_fixed_capacity, slot_dimensions, weight_capacity, trigger_doi_days, target_doi_days, created_at, updated_at Specify additional fields of the Product object (via Location) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the Product or Packaging* object to be included in the response.
basic, all, created_at, updated_at, container_options, supplies_options, data_collection_options, instruction_options, infill_options, vendor_sku, manufacturer_part_number, unit_level, external_id, barcodes, goods_type, is_available, is_visible, weight, dimensions, volume, inventory, export, regulated_goods, packaging, custom_fields Specify additional fields of the Rack object (via Location) to be included in the response. See the selecting fields page for more information.
Specify additional fields of the Rack object to be included in the response.
all, id, name, rack_type, location_pattern, warehouse